set nocompatible
syntax on

" Editing settings
set expandtab  " use spaces
set tabstop=4
set shiftwidth=4
set scrolloff=2
set updatetime=1000
set conceallevel=1

autocmd FileType scheme setlocal expandtab shiftwidth=2 softtabstop=2

if executable("clang-format")
    autocmd FileType c,h,cpp,hpp,cxx,hxx setlocal equalprg=clang-format
endif

" Search
set ignorecase

" Editor UI
set number relativenumber
set ruler
set cc=80
colorscheme zaibatsu
colorscheme PaperColor

" Spell
"set spell
"setlocal spelllang=en_us,ru_ru

" File search
set path+=**   " Provides tab-completion for all file-related tasks
set wildmenu

" Tags
" The contents of the .ctagsignore file will be ignored by ctags,
" similar to the contents of the Git .gitignore file.
command! Mktags !ctags -R
    \ --exclude=.git
    \ --exclude=.svn
    \ $(test -r .ctagsignore && echo "--exclude=@.ctagsignore")
    \ .

let g:vim_markdown_folding_disabled = 1
let g:vim_markdown_math = 1
