vim9script

packadd vim-pug
packadd vim-prettier
packadd SchemaStore.vim

if executable("vue-language-server")
    g:LspAddServer([{
        name: 'vue-ls',
        filetype: ['vue'],
        path: 'vue-language-server',
        args: ['--stdio'],
        initializationOptions: {
            typescript: {
                tsdk: expand('$NVM_BIN/../lib/node_modules/typescript/lib')
            },
            vue: {
                hybridMode: v:false
            },
        }
    }])
endif

if executable("vscode-json-languageserver")
    g:LspAddServer([{
        name: 'vscode-json-language-server',
        filetype: ['json', 'jsonc'],
        path: expand('$NVM_BIN/vscode-json-languageserver'),
        args: ['--stdio'],
        workspaceConfig: {json: {
            format: {enable: true},
            validate: {enable: true},
            schemas: g:SchemaStore#Schemata(),
        }},
    }])
endif

if executable("intelephense")
    g:LspAddServer([{
        name: 'intelephense',
        filetype: ['php'],
        path: expand('$NVM_BIN/intelephense'),
        args: ['--stdio']
    }])
endif
